Page 1 of 1

Bundle javax.websocket cannot be resolved

PostPosted: Sun Oct 05, 2014 5:41 pm
by deezzub
I'm trying to set-up Eclipse Luna as described in the wiki. I have completed the configuration steps without the optional things, but I'm getting the following error regarding the servoy-eclipse-tomcat project.:

bundle_javax.websocket_cannot_be_resolved.png
bundle javax.websocket cannot be resolved
bundle_javax.websocket_cannot_be_resolved.png (26.33 KiB) Viewed 3250 times


How can I fix i?

Re: Bundle javax.websocket cannot be resolved

PostPosted: Sun Oct 05, 2014 6:13 pm
by ROCLASI
Hi Sebastian,

You do realize that you are checking out from trunk? I.e. this is Servoy 8 pre-alpha code, not 7.
There are no public builds of this yet (other then the ones that signed up for the beta program and the training).

What are you trying to accomplish ?

Re: Bundle javax.websocket cannot be resolved

PostPosted: Mon Oct 06, 2014 8:50 am
by deezzub
ROCLASI wrote:You do realize that you are checking out from trunk? I.e. this is Servoy 8 pre-alpha code, not 7.
There are no public builds of this yet (other then the ones that signed up for the beta program and the training).

What are you trying to accomplish ?


Hello Robert, there is no trunk in Git. ;) I have checked out the Servoy v74x_branch like for example the servoy-eclipse v74x_branch and also the other needed projects. But for servoy-eclipse-tomcat there is no v74x_branch.

I want to have a look in the Servoy code, maybe I can better help to find out bugs that we have.

Re: Bundle javax.websocket cannot be resolved

PostPosted: Mon Oct 06, 2014 10:38 am
by ROCLASI
Hi Sebastian,

deezzub wrote:Hello Robert, there is no trunk in Git. ;)

With trunk I mean the main branch. The master.
But I am sure you knew what I meant :P

Anyway since this is Servoy 8 code you have to checkout Servoy 8 code from the other repositories as well. And Servoy 8 uses WebSockets which means it requires Apache Tomcat 7 or higher.

Hope this helps.

Re: Bundle javax.websocket cannot be resolved

PostPosted: Mon Oct 06, 2014 12:35 pm
by jcompagner
for servoy7 you don't need to clone the tomcat repo. Thats why it doesn't have a 74xbranch because its not in the 74 branch..